Package com.fasterxml.jackson.core

# Enum JsonParser.NumberType

java.lang.Object
java.lang.Enum<JsonParser.NumberType>
com.fasterxml.jackson.core.JsonParser.NumberType

All Implemented Interfaces:
  `Serializable`, `Comparable<JsonParser.NumberType>`, `java.lang.constant.Constable`

Enclosing class:
  JsonParser

public static enum JsonParser.NumberType extends Enum<JsonParser.NumberType>
Enumeration of possible "native" (optimal) types that can be used for numbers.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BIG_DECIMAL`
`BIG_INTEGER`
`DOUBLE`
`FLOAT`
`INT`
`LONG`

## Method Summary

Modifier and Type
Method
Description
`static JsonParser.NumberType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonParser.NumberType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INT

public static final JsonParser.NumberType INT

### LONG

public static final JsonParser.NumberType LONG

### BIG_INTEGER

public static final JsonParser.NumberType BIG_INTEGER

### FLOAT

public static final JsonParser.NumberType FLOAT

### DOUBLE

public static final JsonParser.NumberType DOUBLE

### BIG_DECIMAL

public static final JsonParser.NumberType BIG_DECIMAL

## Method Details

### values

public static JsonParser.NumberType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JsonParser.NumberType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null